## freespeech 1.0m

=== lib/Makefile ===
############################################################################
#
#   Copyright (C) 1996 Alistair Conkie
#
#   You may distribute under the terms of the GNU General Public
#   Licence as specified in the README file.
#
#
############################################################################
#
#
############################################################################
# Select the appropriate Makefile options for your system. then type make.
############################################################################
# Sun users
# CC = gcc
# CFLAGS = -g -Wall -pedantic
# LIBS = -lm
############################################################################
# FreeBSD users
# CC = gcc
# CFLAGS = -O2 -Wall -pedantic -DFBSD_DATABASE
# LIBS = -lm
############################################################################
# Linux users
CC = gcc
CFLAGS = -g -Wall -pedantic
LIBS = -lm -lgdbm
############################################################################

OBJ = dbm_prog.c


all: lexicon 

lexicon: text710.edin dbm_prog
	/bin/rm -i lexicon*
	./dbm_prog -o lexicon -i text710.edin
	touch lexicon

text710.edin: text710.dat read_ox_dict
	read_ox_dict text710.dat > text710.edin

dbm_prog: $(OBJ)
	$(CC) $(CFLAGS) -o $@ $(OBJ) $(LIBS)

clean:
	rm -f dbm_prog *.o core gmon.out lexicon 

distribution:
	echo "This needs written."

# dependencies

=== src/Makefile ===
############################################################################
#
#   Copyright (C) 1996 Alistair Conkie
#
#   You may distribute under the terms of the GNU General Public
#   Licence as specified in the README file.
#
#
############################################################################
#
#
############################################################################
# Select the appropriate Makefile options for your system. then type make.
############################################################################
# Sun users
# CC = gcc
# CFLAGS = -g -Wall -pedantic
# LIBS = -lm
############################################################################
# FreeBSD users
# CC = gcc
# CFLAGS = -O2 -Wall -pedantic
# LIBS = -lm
############################################################################
# Linux users
CC = gcc
CFLAGS = -g -Wall -pedantic
LIBS = -lm -lgdbm
############################################################################


SRC = go.c t2s.c space.c tags.c grammar.c \
	transcribe.c conv1.c conv2.c durpros.c prosody.c \
	syllab.c utils.c buffer.c \
	fw.c broad_cats.c durs.c load_diphs.c spnio.c \
	durations.c pitch.c audio.c \
	phon_rules.c edin2sampa.c
#coeffs.c excitation.c durations.c pitch.c audio.c ulaw.c \

OBJS = go.o t2s.o space.o tags.o grammar.o \
	transcribe.o conv1.o conv2.o durpros.o prosody.o \
	syllab.o utils.o buffer.o \
	fw.o broad_cats.o durs.o load_diphs.o spnio.o \
	durations.o pitch.o audio.o \
	phon_rules.o edin2sampa.o
#coeffs.o excitation.o durations.o pitch.o audio.o ulaw.o \

RULE_SRC = rule_engine.c regerror.c regexp.c regsub.c read_rules.c

RULE_OBJS = rule_engine.o regerror.o regexp.o regsub.o read_rules.o


NRL_SRC = interface.c english.c nrl_edin.c phoneme.c saynum.c spellwor.c

NRL_OBJS = interface.o english.o nrl_edin.o phoneme.o saynum.o spellwor.o


TEST_SRC = test_diphones.c

TEST_OBJS = test_diphones.o

MAIN_SRC = main.c

MAIN = main.o

HEADERS = regexp.h regmagic.h rule_engine.h t2s.h prototypes.h

all: freephone

freephone: $(OBJS) $(NRL_OBJS) $(RULE_OBJS) $(MAIN)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(NRL_OBJS) $(RULE_OBJS) $(MAIN) $(LIBS)

# /home/awb/src/malloc/libmalloc.a

clean:
	rm -f freephone lpc_synth *.o core gmon.out

distribution:
	/bin/rm -r ../distribution
	mkdir ../distribution
	mkdir ../distribution/src
	mkdir ../distribution/lib
	cp -r ../dist_doc ../distribution/doc
	cp ../dictionaries/Makefile ../distribution/lib
	cp ../dictionaries/dbm_prog.c ../distribution/lib
	cp ../dictionaries/read_ox_dict ../distribution/lib
	cp ../dictionaries/text710.* ../distribution/lib
	# cp ../diphs_donovan/donovan.idx ../distribution/lib
	# cp ../diphs_donovan/donovan.dat ../distribution/lib
	cp $(SRC) $(RULE_SRC) $(NRL_SRC) $(MAIN_SRC) $(HEADERS) Makefile ../distribution/src
	# cp context_rules ../distribution/src
	cp ../ACKNOWLEDGEMENTS ../README ../INSTALLATION ../Copying ../distribution

# dependencies

$(OBJS) : t2s.h
$(TEST_OBJS) : t2s.h
$(MAIN) : t2s.h
$(RULE_OBJS) : regexp.h regmagic.h
rule-engine.c : rule_engine.h

=== debian/changelog ===
freespeech (1.0m-3) unstable; urgency=medium

  * copyright: Update.
  * Update lintian override info format in d/source/lintian-overrides on line 2.
  * tests: Add autopkgtest.
  * upstream/metadata: Add upstream information.
  * patches/0004-Berkeley-DB-instead-of-GDBM.patch: Do not drop gdbm support.
  * patches/0017-gdbm.patch: Use gdbm.
  * control: Replace libdb-dev build-dep with libgdbm-dev (Closes: #1119211)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Nov 2025 01:12:36 +0100

freespeech (1.0m-2) unstable; urgency=medium

  * Cross-build fix.

 -- Igor B. Poretsky <poretsky@mlbox.ru>  Tue, 25 Jun 2024 23:07:26 +0300

freespeech (1.0m-1) unstable; urgency=medium

  * Initial release. (Closes: #1055900)

 -- Igor B. Poretsky <poretsky@mlbox.ru>  Sat, 06 Jan 2024 09:23:48 +0300

=== debian/control ===
Source: freespeech
Section: sound
Priority: optional
Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
Uploaders: Igor B. Poretsky <poretsky@mlbox.ru>
Build-Depends: debhelper-compat (= 13), libgdbm-dev, libgdbm-compat-dev
Standards-Version: 4.6.2
Homepage: https://github.com/poretsky/freespeech
Vcs-Browser: https://salsa.debian.org/tts-team/freespeech
Vcs-Git: https://salsa.debian.org/tts-team/freespeech.git
Rules-Requires-Root: no

Package: freephone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: enlex-data
Suggests: mbrola, mbrola-voice-en
Conflicts: enlex
Replaces: enlex
Description: English Text-To-Phoneme converter
 freephone converts English text to phonemes for MBROLA.
 .
 It can make use of an external dictionary in hash format,
 such as the one provided by enlex-data package.

Package: enlex-data
Architecture: all
Depends: ${misc:Depends}
Recommends: freephone
Conflicts: enlex
Replaces: enlex
Description: English pronunciation dictionary
 This package is aimed primarily for use together with the Freephone
 phonetizer for Mbrola. When it is installed you can instruct Freephone
 to use the pronunciation dictionary by the command line switch
 "-h /usr/share/freespeech/enlex.db".

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build-arch:
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
	dh_auto_build -- -C src
	dh_auto_build -- lexholder -C lib
	test -e lib/lexicon && touch lib/lexicon || true
else
	test -e lib/lexicon && touch lib/lexicon || true
	dh_auto_build -a
endif

override_dh_auto_build-indep: lib/lexicon
	: # Dummy command to force the target to always be run

override_dh_auto_install-arch:
	$(MAKE) -C src install prefix=$(CURDIR)/debian/tmp/usr
	cp -p lib/lexholder $(CURDIR)/debian/tmp/usr/bin/lexholder-en

lib/lexicon:
	test -e lib/lexholder && mv lib/lexholder lib/lexholder.saved || true
	$(MAKE) CC=gcc CPPFLAGS= CFLAGS= LDFLAGS= LIBS="-lgdbm -lgdbm_compat" -C lib
	test -e lib/lexholder.saved && mv -f lib/lexholder.saved lib/lexholder || true

=== debian/tests/control ===
Depends: freephone
Restrictions: allow-stderr
Test-Command: echo Hello | freephone > $AUTOPKGTEST_TMP/output.pho && diff $AUTOPKGTEST_TMP/output.pho debian/tests/output.pho
